DNS

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 DNS 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until
1.0DEPRECATED20251231
1.1DEPRECATED20260331
1.2DEPRECATED20260331
1.3CURRENT-

OpenAPI URL

https://dns.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Activate Private DNS

1.1.1 - 1.3

post /v1/private-dns/activate

Description

Activate Private DNS

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsActivateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/activate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "name": "private-dns01"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.1.2 - 1.2

post /v1/private-dns/activate

Description

Activate Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsActivateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/activate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Request body

{
    "name": "private-dns01"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.1.3 - 1.1

post /v1/private-dns/activate

Description

Activate Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsActivateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/activate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Request body

{
    "name": "private-dns01"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.1.4 - 1.0

post /v1/private-dns/activate

Description

Activate Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsActivateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/activate

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Request body

{
    "name": "private-dns01"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.2 - Create Hosted Zone

1.2.1 - 1.3

post /v1/hosted-zones

Description

Create a new hosted zone.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequestV1Dot3

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot3
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "description": "This is description",
    "name": "my-zone.com",
    "private_dns_id": "",
    "tags": [],
    "type": "public"
}

Example HTTP response

Response 202

{
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "description": "This is description",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "my-zone.com",
    "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
    "private_dns_id": "10fjkewefprivatedns3193rud543",
    "private_dns_name": "private-dns01",
    "status": "CREATING",
    "ttl": "3600"
}

1.2.2 - 1.2

post /v1/hosted-zones

Description

Create a new hosted zone.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Request body

{
    "description": "",
    "email": "",
    "name": "",
    "private_dns_id": "",
    "tags": [],
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "private_dns_id": "",
    "private_dns_name": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

1.2.3 - 1.1

post /v1/hosted-zones

Description

Create a new hosted zone

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneCreateResponse
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Request body

{
    "description": "",
    "email": "",
    "name": "",
    "tags": [],
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

1.2.4 - 1.0

post /v1/hosted-zones

Description

Create a new hosted zone

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneCreateResponse
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Request body

{
    "description": "",
    "email": "",
    "name": "",
    "tags": [],
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

1.3 - Create Hosted Zone Record

1.3.1 - 1.3

post /v1/hosted-zones/{hosted_zone_id}/records

Description

Create a new recordset in the hosted zone

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
bodybody
required

RecordCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "description": "",
    "name": "",
    "records": [
        {}
    ],
    "ttl": "",
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

1.4 - Create Private DNS

1.4.1 - 1.3

post /v1/private-dns

Description

Create Private DNS

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "connected_vpc_ids": [],
    "description": "This is description",
    "name": "private-dns01",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.4.2 - 1.2

post /v1/private-dns

Description

Create Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Request body

{
    "connected_vpc_ids": [],
    "description": "This is description",
    "name": "private-dns01",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.4.3 - 1.1

post /v1/private-dns

Description

Create Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Request body

{
    "connected_vpc_ids": [],
    "description": "This is description",
    "name": "private-dns01",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.4.4 - 1.0

post /v1/private-dns

Description

Create Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateDnsCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Request body

{
    "connected_vpc_ids": [],
    "description": "This is description",
    "name": "private-dns01",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.5 - Create Public Domain

1.5.1 - 1.2

post /v1/public-domain-names

Description

Create a new Public Domain record

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CreatePublicDomainRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCreatePublicDomainResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Request body

{
    "address_type": "",
    "auto_extension": true,
    "description": "",
    "domestic_first_address_en": "",
    "domestic_first_address_ko": "",
    "domestic_second_address_en": "",
    "domestic_second_address_ko": "",
    "name": "",
    "overseas_first_address": "",
    "overseas_second_address": "",
    "overseas_third_address": "",
    "postal_code": "",
    "register_email": "",
    "register_name_en": "",
    "register_name_ko": "",
    "register_telno": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "public_domain_name": {
        "address_type": "",
        "auto_extension": "",
        "created_at": "",
        "created_by": "",
        "description": "",
        "domestic_address_en": "",
        "domestic_address_ko": "",
        "domestic_first_address_en": "",
        "domestic_first_address_ko": "",
        "domestic_second_address_en": "",
        "domestic_second_address_ko": "",
        "expired_date": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "overseas_address": "",
        "overseas_first_address": "",
        "overseas_second_address": "",
        "overseas_third_address": "",
        "postal_code": "",
        "register_email": "",
        "register_name_en": "",
        "register_name_ko": "",
        "register_telno": "",
        "start_date": "",
        "status": ""
    }
}

1.5.2 - 1.1

post /v1/public-domain-names

Description

Create a new Public Domain record

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CreatePublicDomainRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCreatePublicDomainResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Request body

{
    "address_type": "",
    "auto_extension": true,
    "description": "",
    "domestic_first_address_en": "",
    "domestic_first_address_ko": "",
    "domestic_second_address_en": "",
    "domestic_second_address_ko": "",
    "name": "",
    "overseas_first_address": "",
    "overseas_second_address": "",
    "overseas_third_address": "",
    "postal_code": "",
    "register_email": "",
    "register_name_en": "",
    "register_name_ko": "",
    "register_telno": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "public_domain_name": {
        "address_type": "",
        "auto_extension": "",
        "created_at": "",
        "created_by": "",
        "description": "",
        "domestic_address_en": "",
        "domestic_address_ko": "",
        "domestic_first_address_en": "",
        "domestic_first_address_ko": "",
        "domestic_second_address_en": "",
        "domestic_second_address_ko": "",
        "expired_date": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "overseas_address": "",
        "overseas_first_address": "",
        "overseas_second_address": "",
        "overseas_third_address": "",
        "postal_code": "",
        "register_email": "",
        "register_name_en": "",
        "register_name_ko": "",
        "register_telno": "",
        "start_date": "",
        "status": ""
    }
}

1.5.3 - 1.0

post /v1/public-domain-names

Description

Create a new Public Domain record

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CreatePublicDomainRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCreatePublicDomainResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Request body

{
    "address_type": "",
    "auto_extension": true,
    "description": "",
    "domestic_first_address_en": "",
    "domestic_first_address_ko": "",
    "domestic_second_address_en": "",
    "domestic_second_address_ko": "",
    "name": "",
    "overseas_first_address": "",
    "overseas_second_address": "",
    "overseas_third_address": "",
    "postal_code": "",
    "register_email": "",
    "register_name_en": "",
    "register_name_ko": "",
    "register_telno": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "public_domain_name": {
        "address_type": "",
        "auto_extension": "",
        "created_at": "",
        "created_by": "",
        "description": "",
        "domestic_address_en": "",
        "domestic_address_ko": "",
        "domestic_first_address_en": "",
        "domestic_first_address_ko": "",
        "domestic_second_address_en": "",
        "domestic_second_address_ko": "",
        "expired_date": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "overseas_address": "",
        "overseas_first_address": "",
        "overseas_second_address": "",
        "overseas_third_address": "",
        "postal_code": "",
        "register_email": "",
        "register_name_en": "",
        "register_name_ko": "",
        "register_telno": "",
        "start_date": "",
        "status": ""
    }
}

1.6 - Create Public Domain Name

1.6.1 - 1.3

post /v1/public-domain-names

Description

Create a new Public Domain Name

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CreatePublicDomainRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCreatePublicDomainResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "address_type": "",
    "auto_extension": true,
    "description": "",
    "domestic_first_address_en": "",
    "domestic_first_address_ko": "",
    "domestic_second_address_en": "",
    "domestic_second_address_ko": "",
    "name": "",
    "overseas_first_address": "",
    "overseas_second_address": "",
    "overseas_third_address": "",
    "postal_code": "",
    "register_email": "",
    "register_name_en": "",
    "register_name_ko": "",
    "register_telno": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "public_domain_name": {
        "address_type": "",
        "auto_extension": "",
        "created_at": "",
        "created_by": "",
        "description": "",
        "domestic_address_en": "",
        "domestic_address_ko": "",
        "domestic_first_address_en": "",
        "domestic_first_address_ko": "",
        "domestic_second_address_en": "",
        "domestic_second_address_ko": "",
        "expired_date": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "overseas_address": "",
        "overseas_first_address": "",
        "overseas_second_address": "",
        "overseas_third_address": "",
        "postal_code": "",
        "register_email": "",
        "register_name_en": "",
        "register_name_ko": "",
        "register_telno": "",
        "start_date": "",
        "status": ""
    }
}

1.7 - Create Record

1.7.1 - 1.2

post /v1/hosted-zones/{hosted_zone_id}/records

Description

Create a new recordset in the hosted zone

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
bodybody
required

RecordCreateRequestV1Dot0To1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Request body

{
    "description": "",
    "name": "",
    "records": [
        {}
    ],
    "ttl": "",
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

1.7.2 - 1.1

post /v1/hosted-zones/{hosted_zone_id}/records

Description

Create a new recordset in the hosted zone

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
bodybody
required

RecordCreateRequestV1Dot0To1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Request body

{
    "description": "",
    "name": "",
    "records": [
        {}
    ],
    "ttl": "",
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

1.7.3 - 1.0

post /v1/hosted-zones/{hosted_zone_id}/records

Description

Create a new recordset in the hosted zone

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
bodybody
required

RecordCreateRequestV1Dot0To1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Request body

{
    "description": "",
    "name": "",
    "records": [
        {}
    ],
    "ttl": "",
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

1.8 - Delete Hosted Zone

1.8.1 - 1.3

delete /v1/hosted-zones/{hosted_zone_id}

Description

Delete a hosted zone

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 202

1.8.2 - 1.2

delete /v1/hosted-zones/{hosted_zone_id}

Description

Delete a hosted zone

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "private_dns_id": "",
    "private_dns_name": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

1.8.3 - 1.1

delete /v1/hosted-zones/{hosted_zone_id}

Description

Delete a hosted zone

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneDeleteResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

1.8.4 - 1.0

delete /v1/hosted-zones/{hosted_zone_id}

Description

Delete a hosted zone

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneDeleteResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

1.9 - Delete Hosted Zone Record

1.9.1 - 1.3

delete /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Delete hosted zone record

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Zone ID
Example :
stringNone
pathrecord_id
required
Record ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

1.10 - Delete Private DNS

1.10.1 - 1.3

delete /v1/private-dns/{private_dns_id}

Description

Delete Private DNS

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 202

1.10.2 - 1.2

delete /v1/private-dns/{private_dns_id}

Description

Delete Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 202

1.10.3 - 1.1

delete /v1/private-dns/{private_dns_id}

Description

Delete Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 202

1.10.4 - 1.0

delete /v1/private-dns/{private_dns_id}

Description

Delete Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 202

1.11 - Delete Record

1.11.1 - 1.2

delete /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Delete a recordset

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Zone ID
Example :
stringNone
pathrecord_id
required
Record ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

1.11.2 - 1.1

delete /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Delete a recordset

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Zone ID
Example :
stringNone
pathrecord_id
required
Record ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

1.11.3 - 1.0

delete /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Delete a recordset

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Zone ID
Example :
stringNone
pathrecord_id
required
Record ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordCreateResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

1.12 - Get Public Domain Detail

1.12.1 - 1.2

get /v1/public-domain-names/{public_domain_id}

Description

Retrieve detailed information for a specific public domain by ID

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainDetailResponse

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "public_domain_name": {
        "address_type": "",
        "auto_extension": "",
        "created_at": "",
        "created_by": "",
        "description": "",
        "domestic_address_en": "",
        "domestic_address_ko": "",
        "domestic_first_address_en": "",
        "domestic_first_address_ko": "",
        "domestic_second_address_en": "",
        "domestic_second_address_ko": "",
        "expired_date": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "overseas_address": "",
        "overseas_first_address": "",
        "overseas_second_address": "",
        "overseas_third_address": "",
        "postal_code": "",
        "register_email": "",
        "register_name_en": "",
        "register_name_ko": "",
        "register_telno": "",
        "start_date": "",
        "status": ""
    }
}

1.12.2 - 1.1

get /v1/public-domain-names/{public_domain_id}

Description

Retrieve detailed information for a specific public domain by ID

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainDetailResponse

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "public_domain_name": {
        "address_type": "",
        "auto_extension": "",
        "created_at": "",
        "created_by": "",
        "description": "",
        "domestic_address_en": "",
        "domestic_address_ko": "",
        "domestic_first_address_en": "",
        "domestic_first_address_ko": "",
        "domestic_second_address_en": "",
        "domestic_second_address_ko": "",
        "expired_date": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "overseas_address": "",
        "overseas_first_address": "",
        "overseas_second_address": "",
        "overseas_third_address": "",
        "postal_code": "",
        "register_email": "",
        "register_name_en": "",
        "register_name_ko": "",
        "register_telno": "",
        "start_date": "",
        "status": ""
    }
}

1.12.3 - 1.0

get /v1/public-domain-names/{public_domain_id}

Description

Retrieve detailed information for a specific public domain by ID

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainDetailResponse

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 200

{
    "public_domain_name": {
        "address_type": "",
        "auto_extension": "",
        "created_at": "",
        "created_by": "",
        "description": "",
        "domestic_address_en": "",
        "domestic_address_ko": "",
        "domestic_first_address_en": "",
        "domestic_first_address_ko": "",
        "domestic_second_address_en": "",
        "domestic_second_address_ko": "",
        "expired_date": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "overseas_address": "",
        "overseas_first_address": "",
        "overseas_second_address": "",
        "overseas_third_address": "",
        "postal_code": "",
        "register_email": "",
        "register_name_en": "",
        "register_name_ko": "",
        "register_telno": "",
        "start_date": "",
        "status": ""
    }
}

1.13 - List Hosted Zone Records

1.13.1 - 1.3

get /v1/hosted-zones/{hosted_zone_id}/records

Description

Get record list in a hosted zone

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
querylimit
optional
limit
Example :
any of [integer, null]None
querymarker
optional
marker
Example :
any of [string, null]None
querysort_dir
optional
sort direction
Example :
any of [string, null]None
querysort_key
optional
sort key
Example :
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of the record
Example :
any of [string, null]None
querydata
optional
Record data
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKRecordListResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "links": "",
    "metadata": "",
    "records": [
        {
            "action": "",
            "created_at": "",
            "description": "",
            "id": "",
            "links": "",
            "name": "",
            "project_id": "",
            "records": [
                ""
            ],
            "status": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": "",
            "zone_id": "",
            "zone_name": ""
        }
    ]
}

1.14 - List Hosted Zones

1.14.1 - 1.3

get /v1/hosted-zones

Description

Return list of hosted zones

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
name
Example : my-zone.com
any of [string, null]None
querytype
optional
Type of zone
Example :
any of [enum (public, private), null]None
querystatus
optional
The status
Example :
any of [enum (CREATING, EDITING, ACTIVE, DELETING, DELETED, ERROR, PENDING, UNKNOWN), null]None

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneListResponseV1Dot3
403ForbiddenNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "hosted_zones": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "hosted_zone_type": "public",
            "id": "3432012nfdksdf03ktrld9234lgfg",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "my-zone.com",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "private_dns_id": "10fjkewefprivatedns3193rud543",
            "private_dns_name": "private-dns01",
            "status": "CREATING",
            "ttl": "3600"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.14.2 - 1.2

get /v1/hosted-zones

Description

Return list of hosted zones

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of zone
Example :
any of [string, null]None
queryemail
optional
email
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None
querypage
optional
Page
Example : 0
any of [integer, null]0
querysize
optional
Size
Example : 20
any of [integer, null]20
querysort
optional
Sort
Example : name:asc
any of [string, null]name:asc

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneListResponseV1Dot2
403ForbiddenNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "count": "",
    "hosted_zones": [
        {
            "action": "",
            "attributes": "",
            "created_at": "",
            "description": "",
            "email": "",
            "hosted_zone_type": "",
            "id": "",
            "links": "",
            "masters": [
                ""
            ],
            "name": "",
            "pool_id": "",
            "private_dns_id": "",
            "private_dns_name": "",
            "project_id": "",
            "serial": "",
            "shared": "",
            "status": "",
            "transferred_at": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": ""
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "page": "",
    "size": "",
    "sort": ""
}

1.14.3 - 1.1

get /v1/hosted-zones

Description

Return list of hosted zones

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of zone
Example :
any of [string, null]None
queryemail
optional
email
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None
querypage
optional
Page
Example : 0
any of [integer, null]0
querysize
optional
Size
Example : 20
any of [integer, null]20
querysort
optional
Sort
Example : name:asc
any of [string, null]name:asc

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneListResponseV1Dot1
403ForbiddenNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "count": "",
    "hosted_zones": [
        {
            "action": "",
            "attributes": "",
            "created_at": "",
            "description": "",
            "email": "",
            "hosted_zone_type": "",
            "id": "",
            "links": "",
            "masters": [
                ""
            ],
            "name": "",
            "pool_id": "",
            "project_id": "",
            "serial": "",
            "shared": "",
            "status": "",
            "transferred_at": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": ""
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "page": "",
    "size": "",
    "sort": ""
}

1.14.4 - 1.0

get /v1/hosted-zones

Description

Return list of hosted zones

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querylimit
optional
limit
Example :
any of [integer, null]None
querymarker
optional
marker
Example :
any of [string, null]None
querysort_dir
optional
sort direction
Example :
any of [string, null]None
querysort_key
optional
sort key
Example :
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of zone
Example :
any of [string, null]None
queryemail
optional
email
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneListResponse
403ForbiddenNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": "",
    "metadata": "",
    "zones": [
        {
            "action": "",
            "attributes": "",
            "created_at": "",
            "description": "",
            "email": "",
            "hosted_zone_type": "",
            "id": "",
            "links": "",
            "masters": [
                ""
            ],
            "name": "",
            "pool_id": "",
            "project_id": "",
            "serial": "",
            "shared": "",
            "status": "",
            "transferred_at": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": ""
        }
    ]
}

1.15 - List Private DNS

1.15.1 - 1.3

get /v1/private-dns

Description

List all Private DNS

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
any of [string, null]None
queryname
optional
Private DNS Name
Example :
any of [string, null]None
queryvpc_id
optional
Connected VPC ID
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querystate
optional
State
Example : ACTIVE
any of [enum (CREATING, EDITING, ACTIVE, ACTIVATING, INACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_dns": [
        {
            "auth_dns_name": "",
            "connected_vpc_ids": [
                ""
            ],
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "id": "10fjkewefprivatedns3193rud543",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "private-dns01",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "pool_name": "",
            "registered_region": "KR-WEST1",
            "resolver_ip": "198.19.0.101",
            "resolver_name": "",
            "state": "CREATING"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.15.2 - 1.2

get /v1/private-dns

Description

List all Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
any of [string, null]None
queryname
optional
Private DNS Name
Example :
any of [string, null]None
queryvpc_id
optional
Connected VPC ID
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querystate
optional
State
Example : ACTIVE
any of [enum (CREATING, EDITING, ACTIVE, ACTIVATING, INACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_dns": [
        {
            "auth_dns_name": "",
            "connected_vpc_ids": [
                ""
            ],
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "id": "10fjkewefprivatedns3193rud543",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "private-dns01",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "pool_name": "",
            "registered_region": "KR-WEST1",
            "resolver_ip": "198.19.0.101",
            "resolver_name": "",
            "state": "CREATING"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.15.3 - 1.1

get /v1/private-dns

Description

List all Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
any of [string, null]None
queryname
optional
Private DNS Name
Example :
any of [string, null]None
queryvpc_id
optional
Connected VPC ID
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querystate
optional
State
Example : ACTIVE
any of [enum (CREATING, EDITING, ACTIVE, ACTIVATING, INACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_dns": [
        {
            "auth_dns_name": "",
            "connected_vpc_ids": [
                ""
            ],
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "id": "10fjkewefprivatedns3193rud543",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "private-dns01",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "pool_name": "",
            "registered_region": "KR-WEST1",
            "resolver_ip": "198.19.0.101",
            "resolver_name": "",
            "state": "CREATING"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.15.4 - 1.0

get /v1/private-dns

Description

List all Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
any of [string, null]None
queryname
optional
Private DNS Name
Example :
any of [string, null]None
queryvpc_id
optional
Connected VPC ID
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querystate
optional
State
Example : ACTIVE
any of [enum (CREATING, EDITING, ACTIVE, ACTIVATING, INACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-dns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_dns": [
        {
            "auth_dns_name": "",
            "connected_vpc_ids": [
                ""
            ],
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "This is description",
            "id": "10fjkewefprivatedns3193rud543",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "private-dns01",
            "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
            "pool_name": "",
            "registered_region": "KR-WEST1",
            "resolver_ip": "198.19.0.101",
            "resolver_name": "",
            "state": "CREATING"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.16 - List Public Domain Names

1.16.1 - 1.3

get /v1/public-domain-names

Description

Return list of Public Domain Names

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
querycreated_by
optional
Created By_
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainListResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "public_domain_names": [
        {
            "created_at": "",
            "created_by": "",
            "expired_date": "",
            "id": "",
            "modified_at": "",
            "modified_by": "",
            "name": "",
            "register_email": "",
            "start_date": "",
            "status": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.17 - List Public Domains

1.17.1 - 1.2

get /v1/public-domain-names

Description

List all Public Domains

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
querycreated_by
optional
Created By_
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainListResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "public_domain_names": [
        {
            "created_at": "",
            "created_by": "",
            "expired_date": "",
            "id": "",
            "modified_at": "",
            "modified_by": "",
            "name": "",
            "register_email": "",
            "start_date": "",
            "status": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.17.2 - 1.1

get /v1/public-domain-names

Description

List all Public Domains

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
querycreated_by
optional
Created By_
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainListResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "public_domain_names": [
        {
            "created_at": "",
            "created_by": "",
            "expired_date": "",
            "id": "",
            "modified_at": "",
            "modified_by": "",
            "name": "",
            "register_email": "",
            "start_date": "",
            "status": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.17.3 - 1.0

get /v1/public-domain-names

Description

List all Public Domains

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
querycreated_by
optional
Created By_
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainListResponse

Example HTTP request

Request path

/v1/public-domain-names

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "public_domain_names": [
        {
            "created_at": "",
            "created_by": "",
            "expired_date": "",
            "id": "",
            "modified_at": "",
            "modified_by": "",
            "name": "",
            "register_email": "",
            "start_date": "",
            "status": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.18 - List Records

1.18.1 - 1.2

get /v1/hosted-zones/{hosted_zone_id}/records

Description

Get recordset list in a hosted zone

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
querylimit
optional
limit
Example :
any of [integer, null]None
querymarker
optional
marker
Example :
any of [string, null]None
querysort_dir
optional
sort direction
Example :
any of [string, null]None
querysort_key
optional
sort key
Example :
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of the record
Example :
any of [string, null]None
querydata
optional
Record data
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKRecordListResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "links": "",
    "metadata": "",
    "records": [
        {
            "action": "",
            "created_at": "",
            "description": "",
            "id": "",
            "links": "",
            "name": "",
            "project_id": "",
            "records": [
                ""
            ],
            "status": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": "",
            "zone_id": "",
            "zone_name": ""
        }
    ]
}

1.18.2 - 1.1

get /v1/hosted-zones/{hosted_zone_id}/records

Description

Get recordset list in a hosted zone

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
querylimit
optional
limit
Example :
any of [integer, null]None
querymarker
optional
marker
Example :
any of [string, null]None
querysort_dir
optional
sort direction
Example :
any of [string, null]None
querysort_key
optional
sort key
Example :
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of the record
Example :
any of [string, null]None
querydata
optional
Record data
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKRecordListResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": "",
    "metadata": "",
    "records": [
        {
            "action": "",
            "created_at": "",
            "description": "",
            "id": "",
            "links": "",
            "name": "",
            "project_id": "",
            "records": [
                ""
            ],
            "status": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": "",
            "zone_id": "",
            "zone_name": ""
        }
    ]
}

1.18.3 - 1.0

get /v1/hosted-zones/{hosted_zone_id}/records

Description

Get recordset list in a hosted zone

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone
querylimit
optional
limit
Example :
any of [integer, null]None
querymarker
optional
marker
Example :
any of [string, null]None
querysort_dir
optional
sort direction
Example :
any of [string, null]None
querysort_key
optional
sort key
Example :
any of [string, null]None
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of the record
Example :
any of [string, null]None
querydata
optional
Record data
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKRecordListResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": "",
    "metadata": "",
    "records": [
        {
            "action": "",
            "created_at": "",
            "description": "",
            "id": "",
            "links": "",
            "name": "",
            "project_id": "",
            "records": [
                ""
            ],
            "status": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": "",
            "zone_id": "",
            "zone_name": ""
        }
    ]
}

1.19 - Set Hosted Zone Record

1.19.1 - 1.3

put /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Update Hosted Zone record

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Zone ID
Example :
stringNone
pathrecord_id
required
Record ID
Example :
stringNone
bodybody
required

RecordSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedRecordSetResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "records": "",
    "ttl": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

1.20 - Set Private DNS

1.20.1 - 1.3

put /v1/private-dns/{private_dns_id}

Description

Update Private DNS

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone
bodybody
required

PrivateDnsSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "connected_vpc_ids": [
        ""
    ],
    "description": "This is description"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.20.2 - 1.2

put /v1/private-dns/{private_dns_id}

Description

Update Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone
bodybody
required

PrivateDnsSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Request body

{
    "connected_vpc_ids": [
        ""
    ],
    "description": "This is description"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.20.3 - 1.1

put /v1/private-dns/{private_dns_id}

Description

Update Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone
bodybody
required

PrivateDnsSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Request body

{
    "connected_vpc_ids": [
        ""
    ],
    "description": "This is description"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.20.4 - 1.0

put /v1/private-dns/{private_dns_id}

Description

Update Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone
bodybody
required

PrivateDnsSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateDnsShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Request body

{
    "connected_vpc_ids": [
        ""
    ],
    "description": "This is description"
}

Example HTTP response

Response 202

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.21 - Set Public Domain Name

1.21.1 - 1.3

put /v1/public-domain-names/{public_domain_id}

Description

Update Public Domain Name

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
Id
Example :
stringNone
bodybody
required

PublicDomainPartialUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainPartialUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "auto_extension": "",
    "description": ""
}

Example HTTP response

Response 200

{
    "auto_extension": "",
    "description": "",
    "id": ""
}

1.22 - Set Public Domain Name Whois Info

1.22.1 - 1.3

put /v1/public-domain-names/{public_domain_id}/information

Description

Update Public Domain Name Whois Info

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
Id
Example :
stringNone
bodybody
required

PubblicDomainWhoisInfoUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainWhoisInfoUpdateResponse

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}/information

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Request body

{
    "address_type": "",
    "domestic_first_address_en": "",
    "domestic_first_address_ko": "",
    "domestic_second_address_en": "",
    "domestic_second_address_ko": "",
    "overseas_first_address": "",
    "overseas_second_address": "",
    "overseas_third_address": "",
    "postal_code": "",
    "register_email": "",
    "register_telno": ""
}

Example HTTP response

Response 200

{
    "address_type": "",
    "domestic_first_address_en": "",
    "domestic_first_address_ko": "",
    "domestic_second_address_en": "",
    "domestic_second_address_ko": "",
    "name": "",
    "overseas_first_address": "",
    "overseas_second_address": "",
    "overseas_third_address": "",
    "postal_code": "",
    "register_email": "",
    "register_name_en": "",
    "register_name_ko": "",
    "register_telno": ""
}

1.23 - Show Hosted Zone

1.23.1 - 1.3

get /v1/hosted-zones/{hosted_zone_id}

Description

Return details of a hosted zone.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneShowResponseV1Dot3
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "description": "This is description",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "my-zone.com",
    "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
    "private_dns_id": "10fjkewefprivatedns3193rud543",
    "private_dns_name": "private-dns01",
    "status": "CREATING",
    "ttl": "3600"
}

1.23.2 - 1.2

get /v1/hosted-zones/{hosted_zone_id}

Description

Return details of a hosted zone.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneShowResponseV1Dot2
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "private_dns_id": "",
    "private_dns_name": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

1.23.3 - 1.1

get /v1/hosted-zones/{hosted_zone_id}

Description

Return details of a hosted zone

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

1.23.4 - 1.0

get /v1/hosted-zones/{hosted_zone_id}

Description

Return details of a hosted zone

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 200

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

1.24 - Show Hosted Zone Record

1.24.1 - 1.3

get /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Get details of a hosted zone record

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Zone ID
Example :
stringNone
pathrecord_id
required
Record ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRecordShowResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
    "links": "",
    "name": "",
    "project_id": "",
    "records": [
        ""
    ],
    "status": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": "",
    "zone_id": "",
    "zone_name": ""
}

1.25 - Show Private DNS

1.25.1 - 1.3

get /v1/private-dns/{private_dns_id}

Description

Show Private DNS

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.25.2 - 1.2

get /v1/private-dns/{private_dns_id}

Description

Show Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.25.3 - 1.1

get /v1/private-dns/{private_dns_id}

Description

Show Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.25.4 - 1.0

get /v1/private-dns/{private_dns_id}

Description

Show Private DNS

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_dns_id
required
Private DNS ID
Example : 10fjkewefprivatedns3193rud543
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPrivateDnsShowResponse
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-dns/{private_dns_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.0"

Example HTTP response

Response 200

{
    "private_dns": {
        "auth_dns_name": "",
        "connected_vpc_ids": [
            ""
        ],
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "This is description",
        "id": "10fjkewefprivatedns3193rud543",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "private-dns01",
        "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
        "pool_name": "",
        "registered_region": "KR-WEST1",
        "resolver_ip": "198.19.0.101",
        "resolver_name": "",
        "state": "CREATING"
    }
}

1.26 - Show Public Domain Name

1.26.1 - 1.3

get /v1/public-domain-names/{public_domain_id}

Description

Return details of a public domain name

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathpublic_domain_id
required
Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPublicDomainDetailResponse

Example HTTP request

Request path

/v1/public-domain-names/{public_domain_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.3"

Example HTTP response

Response 200

{
    "public_domain_name": {
        "address_type": "",
        "auto_extension": "",
        "created_at": "",
        "created_by": "",
        "description": "",
        "domestic_address_en": "",
        "domestic_address_ko": "",
        "domestic_first_address_en": "",
        "domestic_first_address_ko": "",
        "domestic_second_address_en": "",
        "domestic_second_address_ko": "",
        "expired_date": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "overseas_address": "",
        "overseas_first_address": "",
        "overseas_second_address": "",
        "overseas_third_address": "",
        "postal_code": "",
        "register_email": "",
        "register_name_en": "",
        "register_name_ko": "",
        "register_telno": "",
        "start_date": "",
        "status": ""
    }
}

1.27 - Show Record

1.27.1 - 1.2

get /v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Description

Get details of a recordset

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
pathhosted_zone_id
required
Zone ID
Example :
stringNone
pathrecord_id
required
Record ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRecordShowResponse

Example HTTP request

Request path

/v1/hosted-zones/{hosted_zone_id}/records/{record_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.2"

Example HTTP response

Response 200

{
    "action": "",
    "created_at": "",
    "description": "",
    "id": "",
[...]
